import { makeAutoObservable } from "mobx";

class CityStore {
  city_id: string = "0";

  constructor() {
    makeAutoObservable(this);
    this.initialize();
  }

  initialize() {
    const id = localStorage.getItem("city_id");
    if (id) {
      this.city_id = id;
    } else {
      this.city_id = "0";
    }
  }

  setCityIdAction = (city_id: string) => {
    this.city_id = city_id;
    localStorage.setItem("city_id", city_id);
  };
}

export const cityStore = new CityStore();
